Loading...
Searching...
No Matches
VmaDefragmentationStats Struct Reference
Memory allocation

Statistics returned for defragmentation process in function vmaEndDefragmentation(). More...

## Public Attributes

VkDeviceSize | bytesMoved
| Total number of bytes that have been copied while moving allocations to different places.
VkDeviceSize | bytesFreed
| Total number of bytes that have been released to the system by freeing empty VkDeviceMemory objects.
uint32_t | allocationsMoved
| Number of allocations that have been moved to different places.
uint32_t | deviceMemoryBlocksFreed
| Number of empty VkDeviceMemory objects that have been released to the system.

## Detailed Description

Statistics returned for defragmentation process in function vmaEndDefragmentation().

## Member Data Documentation

## allocationsMoved

uint32_t VmaDefragmentationStats::allocationsMoved

Number of allocations that have been moved to different places.

## bytesFreed

VkDeviceSize VmaDefragmentationStats::bytesFreed

Total number of bytes that have been released to the system by freeing empty VkDeviceMemory objects.

## bytesMoved

VkDeviceSize VmaDefragmentationStats::bytesMoved

Total number of bytes that have been copied while moving allocations to different places.

## deviceMemoryBlocksFreed

uint32_t VmaDefragmentationStats::deviceMemoryBlocksFreed

Number of empty VkDeviceMemory objects that have been released to the system.

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h